%global pypi_name eventemitter
%global with_tests 0

Name:           python3-%{pypi_name}
Version:        0.2.0
Release:        1%{?dist}
Summary:        Tools for working with async events.

License:        ASL 2.0
URL:            https://pypi.org/project/eventemitter/
Source0:        https://files.pythonhosted.org/packages/3b/a0/db97dda7c660e4263103c697e080b517b06254661e6033e4a81c0848e808/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# For check
%if 0%{?with_tests}
BuildRequires:  python3-enchant
BuildRequires:  python3-pep8
BuildRequires:  python3-pyflakes
BuildRequires:  python3-pylint
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio
BuildRequires:  python3-pytest-cov
%endif

%description
A set of Python based tools for publishing and listening for events.
%{?python_provide:%python_provide python3-%{pypi_name}}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build


%install
%py3_install


%if 0%{?with_tests}
%check
%{__python3} -m pytest
%endif

%files
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Thu May 10 2018 Peter Robinson <pbrobinson@fedoraproject.org> 0.2.0-1
- Initial package
